.grid-container-header{
    display: grid;
    grid-template-rows: 5.0rem;
	grid-template-columns: 15.0rem 30.0rem 4.0rem;
    align-items: center;
    gap: 0.5rem;
    margin-left: 0.5rem;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 1000;
}

.grid-container-menu{
    display: grid;
    grid-template-rows: 2.5rem;
	  grid-template-columns: 8.0rem 8.0rem 8.0rem 8.0rem 8.0rem 8rem;
    align-items: center;
    position: fixed;
    top: 4.0rem;
    left: 0;
    width: 100%;
    z-index: 10;
}

.grid-container-spacer{
    display: grid;
    grid-template-rows: 8.0rem;
}

.grid-container-movies{
    display: grid;
    grid-template-rows: 13.0rem;
    grid-template-columns: repeat(auto-fill, minmax(15.0rem, 1fr));
    margin-top: 1.0rem;
}

.grid-container-decided-class{
    display: grid;
    grid-template-rows: 2.0rem 12.0rem;
	grid-template-columns: 1fr;
    align-items: center;
    margin-top: 1.0rem;
}
@media (min-width: 500px) {
    .grid-container-decided-class{
        display: grid;
        grid-template-rows: 2.0rem 18.0rem;
        grid-template-columns: 1fr;
        align-items: center;
        margin-top: 1.0rem;
    }
}

.grid-container-decided-class-voice-analyze{
    display: grid;
    grid-template-rows: 2.0rem 12.0rem;
	grid-template-columns: 1fr;
    align-items: center;
    margin-top: 1.0rem;
}
@media (min-width: 500px) {
    .grid-container-decided-class-voice-analyze{
        display: grid;
        grid-template-rows: 2.0rem 18.0rem;
        grid-template-columns: 1fr;
        align-items: center;
        margin-top: 1.0rem;
    }
}

.grid-container-slider{
    display: grid;
    grid-template-rows: 2.5rem;
    grid-template-columns: 1fr 5.0rem minmax(10.0rem, 15.0rem) 5.0rem 1fr;;
    align-items: center;
    margin-top: 1.0rem;
}

.grid-container-slider-voice-analyze{
    display: grid;
    grid-template-rows: 1.0rem;
    grid-template-columns: 1fr 5.0rem minmax(10.0rem, 15.0rem) 5.0rem 1fr;
    align-items: center;
    margin-top: 1.0rem;
}

.grid-container-class-list{
    display: grid;
    grid-template-rows: 13.0rem;
	  grid-template-columns: 3.0rem 16rem 20rem 1fr;
    align-items: center;
    margin-top: 1.0rem;
}

.grid-container-footer{
    display: grid;
    grid-template-rows: 1.5rem 1.5rem;
    grid-template-columns: 1fr;
    align-items: center;
    gap: 0.5rem;
    margin-top: 0.5rem;
    margin-bottom: 0.5rem;
}